# Uses of Class
org.stianloader.picoresolve.exclusion.ExclusionContainer

Packages that use ExclusionContainer
Package
Description
org.stianloader.picoresolve
org.stianloader.picoresolve.exclusion

## Uses of ExclusionContainer in org.stianloader.picoresolve

Fields in org.stianloader.picoresolve declared as ExclusionContainer
Modifier and Type
Field
Description
`final @NotNull ExclusionContainer<Exclusion>`
DependencyLayer.DependencyEdge.`edgeExclusion`
`final @NotNull ExclusionContainer<?>`
DependencyLayer.DependencyLayerElement.`parentExclusions`
Constructors in org.stianloader.picoresolve with parameters of type ExclusionContainer
Modifier
Constructor
Description
``
`DependencyEdge(@NotNull String group, @NotNull String artifact, @Nullable String classifier, @NotNull String type, @NotNull VersionRange requestedVersion, @NotNull Scope scope, @NotNull ExclusionContainer<Exclusion> edgeExclusion)`
``
`DependencyLayerElement(@NotNull GAV gav, @Nullable String classifier, @Nullable String type, @NotNull ExclusionContainer<?> parentExclusions, @NotNull List<DependencyLayer.DependencyEdge> outgoingEdges)`

## Uses of ExclusionContainer in org.stianloader.picoresolve.exclusion

Fields in org.stianloader.picoresolve.exclusion declared as ExclusionContainer
Modifier and Type
Field
Description
`static final @NotNull ExclusionContainer<?>`
ExclusionContainer.`EMPTY`
Methods in org.stianloader.picoresolve.exclusion that return ExclusionContainer
Modifier and Type
Method
Description
`ExclusionContainer<T>`
ExclusionContainer.`addChild(T child)`
`static <T extends Excluder>
@NotNull ExclusionContainer<T>`
ExclusionContainer.`empty()`